Skip to Content
0

Migration Issue: Request is in obsolete version of DataSource

Jan 23, 2017 at 09:00 PM

114

avatar image

Hello,

We are currently migrating all the 3.x Master Datasources to 7.3 version in our BW Dev system. After migrating the datasource to 7.3 version, when I execute the DTP, I get an error as "Request REQU_D3EH0IE89IH66103V5PN1Q9A3 not extracted; request is in obsolete version of DataSource".

I have searched this forum and came across few solutions for this issue like deleting all the requests from PSA and retriggering the infopackage and then loading that request to the Info-object. This solution does work for me but the issue is, I need the existing request in the PSA. Because, when I move this to Production, I cannot delete the existing PSA requests for all the Master datasources in Production. Is there any solution for this issue without deleting the PSA requests? Any help is highly appreciated.

I tried replicating the datasource, then activating the datasource and then trigger the infopackage & execute the DTP but getting the same obsolete error.

Regards,

Aravind

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Raf Boudewijns Jan 25, 2017 at 07:28 AM
0

why would you load old PSA requests into master data?

a (possibly very time-consuming) work around could be to move that data to a (write-)optimized DSO first and then upload from that DSO to your InfoObject

Share
10 |10000 characters needed characters left characters exceeded